Subject: RE: [lojban] NT translation

From: Jay Kominek <[email-masked]>
Date: Mon, 9 Jul 2001 09:20:45 -0600 (MDT)

On Mon, 9 Jul 2001, And Rosta wrote:

> I've seen these baffling CVS messages appear on Lojban list & I delete them
> with a certain thankfulness that they appear to be messages I don't feel
> obliged to read.
>
> But I confess I don't understand anything in your message at all, except for
> the second para, tho here I can't see how, if I pick a chapter and go for it,
> I can avoid doing one that someone else has already done. Is there an online
> idiot's guide to all this? It's about a decade since I had the least pretensions
> to techspertise.

The entire purpose of CVS is to alleviate this concern, which is why it is
being used. (As much as certain parties might like to accuse Robin of
choosing some arcane tool solely for the purpose of confusing them, CVS is
the only non-expensive tool which meets the requirements for the task.
(And I've used some of the expensive ones, and they're worse than CVS,
trust me.)) CVS allows multiple parties to work on a single file, and as
long as they weren't working on identical portions of the file, they'll
never know about any other people working on it.

Given the length of a book of the bible, and the few other people working
on the translation, if you randomly pick a spot in the bible to start
working on, there is little chance that someone else will be working on it
at the same time.

Further, even if two people do work on the same file at the same time, CVS
gives the second person to save their work the opportunity to reconcile
his changes with the changes of the first person. (Assuming CVS itself
isn't able to reconcile the changes. Thats CVS' other feature, it has
conflict resolution algorithms.)

Again, there is all kinds of information about CVS at www.cvshome.org. If
you've read at least a reasonable subset of the documentation presented
there, and you're still lost, email Robin or I. Please.

- Jay Kominek <[email-masked]>
Waiting Is.